#!/bin/sh

os=`uname`

if [ -x /sbin/runuser ]
then
    SU=/sbin/runuser
else
    SU=su
fi

mkdir -p /quadstor/pgsqlsys/data
chown -R postgres:postgres /quadstor/pgsqlsys
chown -R postgres:postgres /quadstor/pgsqlsys/data
rm -f /tmp/qstorpgdb.log

if [ "$os" = "FreeBSD" ]; then
	su -l postgres /quadstor/pgsqlsys/scripts/pginit.sh
else
	$SU -l postgres -c "/quadstor/pgsqlsys/scripts/pginit.sh"
fi
