/* 
 * Copyright (C) Shivaram Upadhyayula <shivaram.u@quadstor.com>
 */

#ifndef QS_LDEV_LINUX_H_
#define QS_LDEV_LINUX_H_

#include "linuxdefs.h"

struct ldev_priv {
	struct tdisk *device;
	struct qs_devq *devq;
	atomic_t pending_cmds;
	atomic_t disabled;
};

#define LDEV_NAME	"QUADStor ldev"
#define LDEV_HOST_ID	15

struct qsio_scsiio;
void ldev_proc_cmd(struct qsio_scsiio *ctio);
#endif

